**This is updated and maintained fork of [Somasis's shiki-colors-revival](https://github.com/somasis/shiki-colors-revival).**

# shiki-colors-revival
This consists mostly of a script that modifies the original Numix theme's
files to fit to all of the colors in the GNOME Colors palette.

At the moment, these themes are currently intended to be used with Xfce4,
since that's what I use. If you run into problems in another desktop
environment, I'll try to help the best I can though.

Relevant license files can be found underneath the folders. (Numix is
GPL-3, Xfwm4 and Metacity are GPL-2, Plank themes and build system are ISC)

## Included
- GTK 2 and 3 themes
- Metacity themes
- Xfwm4 themes
- [Plank](https://launchpad.net/plank) themes

## Dependencies
- `sed`
- `git`
- `make`
- `scss`, `sassc`
- `gtk-engine-murrine`, needed for GTK2 themes
- `xfwm4`, needed for Xfwm4 themes
- `metacity`, or `marco` (`mutter` might work too) for the Metacity themes

## Downloading
Either use `git` to clone this repository:
    
    git clone https://github.com/gch1p/shiki-colors-revival

or just [download the latest release](releases).

## Installing
1. Open a terminal in this repo's directory.
2. `make`, or run `make help` to see what else the Makefile can do.
3. `make install` as root, or manually copy directories from `generated` to `~/.themes`.

**Exherbo users**:
    There is an exheres in ::somasis; x11-themes/shiki-colors-revival.

## How this works
In order to minimize the amount of maintenance needed, we base these themes
off of [Numix] so that we benefit from the [shimmerproject]'s work on
Numix. The themes are then generated by using regular expressions to
replace certain variables in the CSS to change the colors to fit the
[GNOME Colors palette] rather than using Numix's default colors.
(currently only the selected background color and menubar bg are replaced)

As a result of doing it this method, we don't have to worry about updating
the CSS every time GNOME's developers decide to break everything with a new
minor version of GTK3, again. We can make upstream do all the work. :)

## Screenshots

These are screenshots of the themes running on my Xfce desktop.

![Shiki-Brave](https://raw.githubusercontent.com/gch1p/shiki-colors-revival/master/screenshots/Shiki-Brave-Revival.png)
![Shiki-Human](https://raw.githubusercontent.com/gch1p/shiki-colors-revival/master/screenshots/Shiki-Human-Revival.png)
![Shiki-Illustrious](https://raw.githubusercontent.com/gch1p/shiki-colors-revival/master/screenshots/Shiki-Illustrious-Revival.png)
![Shiki-Noble](https://raw.githubusercontent.com/gch1p/shiki-colors-revival/master/screenshots/Shiki-Noble-Revival.png)
![Shiki-Wine](https://raw.githubusercontent.com/gch1p/shiki-colors-revival/master/screenshots/Shiki-Wine-Revival.png)
![Shiki-Wise](https://raw.githubusercontent.com/gch1p/shiki-colors-revival/master/screenshots/Shiki-Wise-Revival.png)

## Related

Updated icons can be found at [gnome-colors-revival], and the backgrounds
can be found at [arc-colors-revival].

## Credits
- [Numix] by [shimmerproject]
- [GNOME Colors] project for the initial theme designs, and base for a lot
  of the assets used for the Metacity and Xfwm4 themes.
- [Shiki-Colors-Xfwm] by [fredbird67], modified heavily for this project

[gnome-colors-revival]: https://github.com/Somasis/gnome-colors-revival
[arc-colors-revival]: https://github.com/Somasis/arc-colors-revival
[Numix]: https://github.com/shimmerproject/Numix
[Shiki-Colors-Xfwm]: http://xfce-look.org/content/show.php/Zukitwo-Colors+Xfwm+Themes?content=148624
[shimmerproject]: http://github.com/shimmerproject
[fredbird67]: http://xfce-look.org/usermanager/search.php?username=fredbird67
[GNOME Colors palette]: https://github.com/Somasis/gnome-colors-revival/blob/master/Palette.png
[releases]: https://github.com/gch1p/shiki-colors-revival/releases
[GNOME Colors]: https://code.google.com/p/gnome-colors
